{
  description = "NixOS System Config";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.05";
    nixpkgs-unstable.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    sops-nix.url = "github:Mic92/sops-nix";
    sops-nix.inputs.nixpkgs.follows = "nixpkgs";
  };
  outputs = { self, nixpkgs, sops-nix, ... }@inputs:
  let
    nixos-x86_64-hosts = [
      "g1"
      "g2"
      "g3"
      "g5"
      "g6"
      "g7"
      "g8"
      "g10"
      "g11"
      "g12"
      "g13"
      "g14"
      "g17"
      "g18-next"
      "web-server"
    ];
  in
  {
    nixosConfigurations = {
    } // (builtins.listToAttrs (builtins.map (host: {
      name = host;
      value = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [
          ./hosts/${host}/configuration.nix
          sops-nix.nixosModules.sops
        ];
      };
    }) nixos-x86_64-hosts));
  };
}
