{ config, lib, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../modules/nasp.nix
    ];
  nasp = {
    enable = true;
    gSeries = {
      enable = true;
      serial = 17;
      eth0Name = "eno2";
      eth1Name = "eno1";
      eth2Name = "eno4";
    };
  };
  networking.hostId = "c5543d16";
  security.sudo.extraConfig = ''
    %nasp ALL = (root) NOPASSWD: /run/wrappers/bin/crontab
  '';
  hardware.nvidia.package = lib.mkForce config.boot.kernelPackages.nvidiaPackages.stable;

  system.stateVersion = "24.05";
}
